Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Layout mit entmake?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Layout mit entmake? (625 mal gelesen)
Zweistein
Mitglied
Dipl.-Ing. Bau / SFI


Sehen Sie sich das Profil von Zweistein an!   Senden Sie eine Private Message an Zweistein  Schreiben Sie einen Gästebucheintrag für Zweistein

Beiträge: 16
Registriert: 07.07.2005

erstellt am: 07. Nov. 2008 15:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo!

Das folgende Programm soll Layouts mit benutzerspezifischen Eigenschaften erstellen, liefert jedoch noch nicht die gewünschte Wirkung -  auch keinen Laufzeit-Fehler!
Hat jemand eine Idee, was noch fehlen könnte? Danke.

(defun C:ls ()
  ;---------------------------------------------------------------------------------------------------------
  ;Layoutobjekt generieren                                                        Strand 05.11.2008
  ;---------------------------------------------------------------------------------------------------------
  (setq layout-liste (dictsearch (namedobjdict) "ACAD_LAYOUT")
        layout-ename (cdr (assoc -1 layout-liste))
        nlayout-liste (reverse (cons '(3 . "Testlaylout") (reverse layout-liste)) )
  )
  (entmod nlayout-liste)

  (entmake (list

              '(102 . "{ACAD_REACTORS")                  ;Anfang Gruppencode
              (cons 330 layout-ename)                    ;Besitzobjekt
              '(102 . "}")                              ;Ende Gruppencode
              '(0 . "LAYOUT")
              '(100 . "AcDbPlotSettings")                ;Subklassenmarkierung Plotterkonfiguration
              '(1 . "")
              '(2 . "\\\\pch\\LaserJet 2200 an BRAUN")  ;Name des Systemdruckers oder Plot-Konfigurationsdatei
              '(4 . "User130")                          ;Name Papierformat
              '(40 . 20.00000)                          ;Rand links [mm] (nicht bedruckbar)
              '(41 . 5.00000)                            ;Rand unten
              '(42 . 5.00000)                            ;Rand rechts
              '(43 . 5.00000)                            ;Rand oben
              '(44 . 210.000)                            ;physikalische Breite Papier
              '(45 . 297.000)                            ;physikalische Höhe Papier
              '(46 . 0.0)                                ;X-Wert Versatz für Plotursprung
              '(47 . 0.0)                                ;Y-Wert Versatz für Plotursprung
              '(48 . 0.0)                                ;X-Wert Plotfensterbereich unten links
              '(49 . 0.0)                                ;Y-Wert Plotfensterbereich unten links
              '(140 . 0.0)
              '(141 . 0.0)
              '(142 . 1.0)                              ;Druckmassstab - Zähler Papierbereichseinheiten
              '(143 . 1.0)                              ;Druckmassstab - Zeichnungseinheiten
              '(70 . 688)                                ;Flag-Bit Plotlaylout:
              '(72 . 1)                                  ;Flag-Bit Papierformat beim Plotten: 0=inch 1=mm 2=pixel
              '(73 . 1)                                  ;Plotdrehung 0=keine 1=90Grad 2=180Grad 3=270Grad
              '(74 . 5)                                  ;Plottyp 0=Bildschirm 1=ZeichnGrenzen 2=limiten 3=Ansicht n.Code 6 4=Fenster n.Code 48ff
              '(7 . "Farbe.ctb")                        ;Druckvorschrift - Plottstil
              '(75 . 16)                                ;Flagbit Skalierungstyp 0=Gr.angepasst 16=1:1 17=1:2
              '(147 . 1.0)                              ;Skalierfaktor für Darstellung Code75 (bleibt meist auf 1.0)
              '(76 . 1)                                  ;Modus Schattierungsplotten 0=wie angezeigt 1=Drahtk. 2=Verdeckt 3=Gerendert
              '(77 . 2)                                  ;Plotauflösung 0=Entwurf 1=Voransicht 2=Normal 3=Darstellung 4= Maximum 5=Ben.def.
              '(78 . 300)                                ;Ben.def DPI für Code 77 (100 bis 32767)
              '(148 . 0.0)                              ;X-Wert Ursprung Papierbild
              '(149 . 0.0)                              ;Y-Wert Ursprung Papierbild

                '(100 . "AcDbLayout")                  ;Subklassenmarkierung Layoutkonfiguration
                '(1 . "Testlaylout")                    ;LayoutName
                '(70 . 1)                              ;Flag-Bit für aktuelles Layout 1=PLTSCALEWERT 2=LIMCKECKWERT
                '(71 . 5)                              ;Platz-Nr in der Reihenfolge der Registerkarten
                '(10 -5.0000 -5.0000 0.0)              ;minimale Limiten für das Layout
                '(11 292.000 205.000 0.0)              ;Maximale Limiten für das Layout
                '(12 0.0 0.0 0.0)                      ;Einfügebasispunkt für das Layout, wenn aktuell
                '(14 0.50000 10.0000 0.0)              ;minimale Grenzen für das Layout, wenn aktuell
                '(15 287.000 200.000 0.0)              ;maximale Grenzen für das Layout, wenn aktuell
                '(146 . 0.0)                            ;Erhebung
                '(13 0.0 0.0 0.0)                      ;BKS-Ursprung
                '(16 1.0 0.0 0.0)                      ;Richtung der pos. BKS-X-Achse
                '(17 0.0 1.0 0.0)                      ;Richtung der pos. BKS-Y-Achse
                '(76 . 0)                              ;Orthogonaler BKS-Typ 0=BKS nicht orthogonal 1=oben 2=unten 3=vorne 4=hinten 5=links 6=rechts
            )
  ) ;entmake

  (princ)
);enddefun

;/////////////////////////////////////////////////////////////////////////////////////////////////////////
(princ "\nLayoutSetup-Modul  ") (princ (chr 169)) (princ " Mein Name")
(princ "\nerfolgreich geladen  - Start mit <ls>") (princ)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 07. Nov. 2008 20:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Zweistein 10 Unities + Antwort hilfreich

Hi,
schöne Liste...
ich verwende entmod und entupd meist zusammen...
Ein Vergleich der erzeugten Liste mit der "Sollliste" ist erfolgt?
... wenn da nicht eh ein Problem war?!
Wieso net ActiveX?
vla-add...
vlax-put-property...
MFG Heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz